Blame SOURCES/0053-tests-Set-optimal-blocks-to-64-for-scsi_debug-device.patch

0cb0b9
From a5f1b41b0a10fc1dc64f17b677ddf14e15f8d40e Mon Sep 17 00:00:00 2001
0cb0b9
From: "Brian C. Lane" <bcl@redhat.com>
0cb0b9
Date: Tue, 23 Aug 2016 08:55:18 -0700
0cb0b9
Subject: [PATCH 53/53] tests: Set optimal blocks to 64 for scsi_debug devices
0cb0b9
0cb0b9
The Linux kernel 4.5 changed the optimal blocks count from 64 to 1024
0cb0b9
This causes tests using scsi_debug devices to fail because of alignment
0cb0b9
issues. Set the opt_blks to 64 so that we have consistent behavior
0cb0b9
across kernels.
0cb0b9
0cb0b9
(cherry picked from commit bd2664285e4014d2d4c80cee3e87609272e1fca9)
0cb0b9
---
0cb0b9
 tests/t-local.sh | 2 +-
0cb0b9
 1 file changed, 1 insertion(+), 1 deletion(-)
0cb0b9
0cb0b9
diff --git a/tests/t-local.sh b/tests/t-local.sh
0cb0b9
index a7d5226..13073d2 100644
0cb0b9
--- a/tests/t-local.sh
0cb0b9
+++ b/tests/t-local.sh
0cb0b9
@@ -98,7 +98,7 @@ scsi_debug_setup_()
0cb0b9
   # It is not trivial to determine the name of the device we're creating.
0cb0b9
   # Record the names of all /sys/block/sd* devices *before* probing:
0cb0b9
   touch stamp
0cb0b9
-  modprobe scsi_debug "$@" || { rm -f stamp; return 1; }
0cb0b9
+  modprobe scsi_debug opt_blks=64 "$@" || { rm -f stamp; return 1; }
0cb0b9
   scsi_debug_modprobe_succeeded_=1
0cb0b9
   test "$VERBOSE" = yes \
0cb0b9
     && echo $ME_ modprobe scsi_debug succeeded 1>&2
0cb0b9
-- 
0cb0b9
2.7.4
0cb0b9